package com.qmth.data.docking.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.data.docking.entity.YjxtKsxx;
import com.qmth.data.docking.mapper.YjxtKsxxMapper;
import com.qmth.data.docking.service.YjxtKsxxService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 考生数据表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2025-06-09
 */
@Service
public class YjxtKsxxServiceImpl extends ServiceImpl<YjxtKsxxMapper, YjxtKsxx> implements YjxtKsxxService {

    /**
     * 查找数据
     *
     * @param xnmList
     * @param xqmList
     * @param courseCodeList
     * @param paperNumberList
     * @param studentCodeList
     * @return
     */
    @Override
    public List<YjxtKsxx> findByField(List<String> xnmList, List<String> xqmList, List<String> courseCodeList, List<String> paperNumberList, List<String> studentCodeList) {
        QueryWrapper<YjxtKsxx> yjxtKsxxQueryWrapper = new QueryWrapper<>();
        yjxtKsxxQueryWrapper.lambda().in(YjxtKsxx::getXnm, xnmList)
                .and(x -> x.in(YjxtKsxx::getXqm, xqmList))
                .and(x -> x.in(YjxtKsxx::getCourseCode, courseCodeList))
                .and(x -> x.in(YjxtKsxx::getPaperNumber, paperNumberList))
                .and(x -> x.in(YjxtKsxx::getStudentCode, studentCodeList));
        return this.list(yjxtKsxxQueryWrapper);
    }
}
